<template>
  <div class="com-main com-margin-auto com-width-1400">
      <section class="com-width-1200 com-margin-auto">
        <pc-title :title="'Related ltems'"></pc-title>
        <div class="card-wrap  com-margin-auto">
          <card v-for="(item, k) in indexGoodsRankLists" :key="k" :cardData="item"></card>
        </div>
      </section>
    </div>
</template>

<script>
export default {
  layout:'default',
   async asyncData({ $axios }) {
    const indexGoodsRankLists = await $axios.get("/uk-api/home/indexGoodsRankList");
    return {
      indexGoodsRankLists: indexGoodsRankLists.result,
    };
  },
  data() {
    return {
      
    };
  },
  methods:{
    
  },
};
</script>

<style lang="scss" scoped>
.card-wrap {
  display: grid;
  justify-items: center;
}
</style>
